Index: trunk/expressoMail1_2/js/main.js
===================================================================
--- trunk/expressoMail1_2/js/main.js	(revision 5409)
+++ trunk/expressoMail1_2/js/main.js	(revision 5415)
@@ -3382,5 +3382,5 @@
 		});
                 $.ajax({
-                        url: "controller.php?action="+import_url+'&from_ajax=true&id_user='+User.me.id+'&readable=true&cirus_delimiter='+cyrus_delimiter,
+                        url: "controller.php?action="+import_url+'&from_ajax=true&id_user='+User.me.id+'&readable=true&cirus_delimiter='+cyrus_delimiter+'&analize=true',
                         async: false,
                         success: function(data){
@@ -3388,7 +3388,7 @@
 
 
-                                var createDialog = function(isCorrentEvent, propaget){
-
-                                        if(!(!!isCorrentEvent)){
+                                var createDialog = function(typeImport, propaget){
+
+                                        if(typeImport == '1'){
                                                 $("#select-agenda").html('');
                                                 for(var calendario in Calendar.calendarIds){
@@ -3420,5 +3420,25 @@
                                                  });					
 
-                                        }else{
+                                        }else if(data == '4'){
+                                            alert('Seu evento já se encontra atualizado');
+                                            return;
+                                        }else if(data == '3'){
+                                           $.ajax({
+							url: "controller.php?action="+import_url+'&from_ajax=true&selected=true',
+                                                	success: function(msg){
+                                                	alert( ( ( connector.unserialize(msg)) == "ok") ? "Seu evento foi removido " : "Ocorreu um erro ao remover o evento" );
+                                                        }
+                                                });
+                                                return;
+                                        }
+                                        else if(data == '5'){
+						$.ajax({
+							url: "controller.php?action="+import_url+'&from_ajax=true&selected=true',
+                                                	success: function(msg){
+                                                	alert( ( ( connector.unserialize(msg)) == "ok") ? "Atualizado com sucesso " : "Ocorreu um erro ao atualizar o evento" );
+                                                        }
+                                                });
+                                                return;
+					}else {
                                                 up = true;
                                                 $("#select-agenda").css("display", "none");
@@ -3432,18 +3452,13 @@
                                                             },
                                                            "Atualizar": function() {
-                                                           if ($(".ui-dialog-buttonpane").find(".ui-button:last").children().html() == 'Atualizar'){
-                                                               
-															   
-															   
-                                                               var isOk = propaget || DataLayer.put('participant', { id: ( DataLayer.get('participant', ['AND', ['=', 'user', User.me.id], ['=', 'schedulable', isCorrentEvent[0].schedulable]] ) )[0].id, 
-                                                                                                         status: $("#select-status option:selected").val() });
-
-                                                                DataLayer.commit();
-
-                                                                alert( !!isOk ? "Evento atualizado com sucesso ... " : "Ocorreu um erro ao atualizar o evento  ... ");
-
-                                                               $( this ).dialog( "close" );
-
-                                                           }
+                                                                
+                                                                $.ajax({
+                                                                     url: "controller.php?action="+import_url+'&from_ajax=true&selected='+$("#select-agenda option:selected").val()+'&status='+$("#select-status option:selected").val(),
+                                                                     success: function(msg){
+                                                                            alert( ( (msg = connector.unserialize(msg)) == "ok") ? "Atualizado com sucesso para " : "Ocorreu um erro ao atualizar o evento" );
+                                                                    }
+                                                                });
+                                                        
+                                                                $( this ).dialog( "close" );
                                                         }
                                                     }
@@ -3453,19 +3468,6 @@
                                         $( "#import-dialog" ).dialog( "open" );	
                                 };
-
-
-
-                                if(!!data){
-                                        var isCorrentEvent = false;
-                                        var count = 0;
-
-                                        $.getJSON("../prototype/request.php",
-                                        {
-                                                concept : "calendarToSchedulable",
-                                                filter : ['AND', ['IN', 'calendar', Calendar.calendarIds], ['=', 'schedulable', data]]
-                                        }, createDialog);
-                                }else{
-                                        createDialog(true, true);
-                                }
+                                createDialog(data, true);
+                                
                 }});
 			